unit Minimain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  sqlbuild, StdCtrls;

type
  TForm1 = class(TForm)
    SQLBuilder1: TSQLBuilder;
    Label1: TLabel;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
Var
  Dir:String;
begin
  Left := -1000;
  Dir := '';
  If Paramcount > 0 then
    Dir := ParamStr(0);
  If Dir <> '' then
    SQLBuilder1.PrivateDir := Dir;
  SQLBuilder1.Databasename := '';
  If SQLBuilder1.execute then
  begin
    If MessageDlg('Copy SQL to clipboard?', mtConfirmation, [mbYes, mbNo], 0) = mrYes then
    begin
      If SQLBuilder1.SQLModified then
        Memo1.lines.Assign(SQLBuilder1.UserSQL)
      else
        Memo1.lines.Assign(SQLBuilder1.SQL);
      Memo1.SelectAll;
      Memo1.CopyToClipboard;
    end;
  end;
  PostMessage(Handle, WM_QUIT, 0, 0);
end;

end.

